@echo off

set map=ut4_derelict_b3

ECHO.
ECHO 1. BOUNCE Compile
ECHO 2. LIGHT Compile
ECHO 3. FAST LIGHT Compile
ECHO 4. Only Surface sounds
ECHO 5. AAS Compile only
ECHO.
set choice=
set /p choice=Choose a number: 

echo.
if '%choice%'=='1' echo BOUNCE Compile
if '%choice%'=='2' echo LIGHT Compile
if '%choice%'=='3' echo FAST LIGHT Compile
if '%choice%'=='4' echo Surface sounds only
if '%choice%'=='5' echo AAS Compile only
echo Compiling: %map%
echo.

if '%choice%'=='4' goto END
if '%choice%'=='5' goto AAS

color 05
time /T
echo STARTING BSP: -threads 16 -meta -samplesize 8 -v
start "BSP: %map%" /B /wait "C:\Program Files\Quake III Arena\q3map2_2.5.16.exe" -threads 16 -meta -samplesize 8 -v "C:\Program Files\Quake III Arena\baseq3\maps\%map%.map" >> %map%_BSP.txt
ECHO.

color 04
time /T
echo STARTING VIS: -threads 16 -vis -hint (/-merge) -saveprt -v 
start "VIS: %map%" /B /wait "C:\Program Files\Quake III Arena\FS_q3map_Radbump_4a.exe" -threads 16 -vis -hint -saveprt -v "C:\Program Files\Quake III Arena\baseq3\maps\%map%.bsp" >> %map%_VIS.txt
ECHO.

if '%choice%'=='1' goto ch2
if '%choice%'=='2' goto ch3
if '%choice%'=='3' goto ch4

:ch2
color 03
time /T
echo STARTING LIGHT: -threads 16 -light -bounce 8 -sky 1.525 -shade -pointscale 1.325 -samplesize 8 -samples 4 -super 1 -v  
start "LIGHT: %map%" /B /wait "C:\Program Files\Quake III Arena\FS_q3map_Radbump_4a.exe" -threads 16 -light -bounce 8 -sky 1.525 -shade -pointscale 1.325 -samplesize 8 -samples 4 -super 1 -v "C:\Program Files\Quake III Arena\baseq3\maps\%map%.bsp" >> %map%_LIGHT.txt
ECHO.
goto END

:ch3
color 03
time /T
echo STARTING LIGHT: -threads 16 -light -sky 1.525 -shade -pointscale 1.325 -samplesize 8 -samples 3 -v  
start "LIGHT: %map%" /B /wait "C:\Program Files\Quake III Arena\FS_q3map_Radbump_4a.exe" -threads 16 -light -sky 1.525 -shade -pointscale 1.325 -samplesize 8 -samples 3 -v "C:\Program Files\Quake III Arena\baseq3\maps\%map%.bsp" >> %map%_LIGHT.txt
ECHO.
goto END

:ch4
color 03
time /T
echo STARTING LIGHT: -threads 16 -light -fast -gamma 1.45 -shade -pointscale 1.325 -samplesize 8 -samples 2 -v  
start "LIGHT: %map%" /B /wait "C:\Program Files\Quake III Arena\FS_q3map_Radbump_4a.exe" -threads 16 -light -fast -gamma 1.45 -shade -pointscale 1.325 -samplesize 8 -samples 2 -v "C:\Program Files\Quake III Arena\baseq3\maps\%map%.bsp" >> %map%_LIGHT.txt
ECHO.
goto END

:END
color 07
time /T
echo STARTING SURFACE SOUNDS: -si 
"C:\Program Files\Quake III Arena\baseq3\maps\bsp.exe" -si "C:\Program Files\Quake III Arena\baseq3\maps\%map%.bsp" "C:\Program Files\Quake III Arena\baseq3\maps\surf\%map%_surf.surface"
ECHO.
ECHO.

color 02
time /T
echo DONE!
echo To compile AAS - hit ENTER, otherwise close the cmd prompt.
ECHO.

pause

ECHO.
:AAS
color 06
time /T
echo STARTING AAS: -bsp2aas -threads 16 -forcesidesvisible -noliquids (/-optimize) 
"C:\Program Files\Quake III Arena\bspc.exe" -bsp2aas "C:\Program Files\Quake III Arena\baseq3\maps\%map%.bsp" -threads 16 -forcesidesvisible -noliquids > %map%_bot.txt
ECHO.
ECHO.

color 02
time /T
echo DONE!
ECHO.

pause
